=== debian/changelog ===
eagle-usb (2.1.1-2) experimental; urgency=low

  * Fix: use official english names for countries (Closes: #298264)
  * Fix: cross-build of the module package (Closes: #299407)
  * Fix: eagle-usb-utils postinst: shell compatibility (Closes: #299276)
  * Update the list of ISP
  * Translations:
     Add da translation. Thanks to Claus Hindsgaul
     Add eu translation. Thanks to Piarres Beobide
     Update nl translation. Thanks to Luk Claes
     Update de translation. Thanks to Erik Schanze

 -- Cyril Martin <mcoolive@free.fr>  Sun, 27 Mar 2005 19:59:46 +0100

eagle-usb (2.1.1-1) experimental; urgency=low

  [Cyril Martin]
  * Fix postinst of eagle-usb-modules (Closes: #285552).

  [Pierre Machard]
  * Simply upload the package and fix i18n issues
      Add nl translation. Thanks to Luk Claes
      (Closes: #247082)
      Add cz translation. Thanks to Miroslav Kure
      (Closes: #295977, #295979)
      Update de translation. Thanks to Luk Claes
      (Closes: #296767)
  * Added myself as Uploaders

 -- Pierre Machard <pmachard@debian.org>  Sun, 27 Feb 2005 19:59:46 +0100

eagle-usb (2.0.1-1) experimental; urgency=low

  * Add japan translation file (Closes: #281983)
  * New upstream pre-release
    - FHS compliance
    - POSIX compliance

 -- Cyril Martin <mcoolive@free.fr>  Sun, 21 Nov 2004 15:34:59 +0100

eagle-usb (2.0.0-1) experimental; urgency=low

  * Add new ISP
  * Use overrides to mute lintian (Closes: #265866)
  * Add pppoe in dependencies (Closes: #274041)
  * New upstream pre-release
    - Add option update_dns? for ppp connection
    - Module works with amd64
    - New BNM files for E2L and E2T modems (backward-compatibility)
    - New value for OPTNxx and CMVs

 -- Cyril Martin <mcoolive@free.fr>  Sun, 26 Sep 2004 23:35:09 +0200

eagle-usb (1.9.9-2) experimental; urgency=low

  * Fix ./configure: hotplug script was missing (Closes: #269258)
  * Remove unused /etc/modutils/eagle-usb configuration file (thk J-P Pourrez)
  * Correct the debconf questionnaire and its french translation
  * New DSP codes.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 5 Sep 2004 15:45:17 +0200

eagle-usb (1.9.9-1) unstable; urgency=medium

  * New upstream pre-release
  * eagle-usb-utils depends on module-init-tools | modutils
  * Fix the writing of modutils config files (Closes: #269242)
  * Fix postrm script

 -- Cyril Martin <mcoolive@free.fr>  Mon, 29 Aug 2004 01:48:17 +0200

eagle-usb (1.9.8+cvs20040822-1) experimental; urgency=low

  * New upstream pre-release
  * Fix maintainer scripts (Closes: #266969)
  * Add --nonet and --catalogs options to xsltproc
  * Add Build-Depends on net-tools and docbook-xml

 -- Pierre Machard <pmachard@debian.org>  Sun, 22 Aug 2004 23:00:04 +0200

eagle-usb (1.9.8+cvs20040806-1) unstable; urgency=low

  * New upstream pre-release
  * Add eagleconfig in package and use it in postinstallation
  * Man pages are rewritten.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 1 Aug 2004 20:27:09 +0200

eagle-usb (1.9.8-3) unstable; urgency=low

  * Add ISP in configuration
  * Fix init.d/eagle-usb: don't write "success" when connection failed.
  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Fri, 16 Jul 2004 01:27:49 +0200

eagle-usb (1.9.8-2) unstable; urgency=low

  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Thu, 3 Jul 2004 10:40:30 +0200

eagle-usb (1.9.8-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix incomplete purge
  * eagle-usb module depends on ppp_async module for the users of ppp

 -- Cyril Martin <mcoolive@free.fr>  Mon, 16 Jun 2004 10:40:30 +0200

eagle-usb (1.9.6.99-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix ppp configuration (thank to Farfadet)
  * Fix french translation (thank to Martin Braure)

 -- Cyril Martin <mcoolive@free.fr>  Mon, 15 May 2004 10:40:30 +0200

eagle-usb (1.9.6-3) unstable; urgency=low

  * Fix incomplete translation
  * Fix postinstallation to remove lintian's warnings
  * Add Build-Depends on xsltproc

 -- Cyril Martin <mcoolive@free.fr>  Mon, 28 Apr 2004 10:40:30 +0200

eagle-usb (1.9.6-2) unstable; urgency=low

  * Packages are renamed eagle-usb.
  * Recreate configuration scripts (and french Translation)
  * Add man pages

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.9.6-1) unstable; urgency=low

  * New upstream pre-release.
  * This release supports Linux kernel 2.6.
  * Add man pages.
  * Fixed build-depends
  * eagle-adsl-tools now no longer depends on ppp but only
    recommends it. Many people needn't ppp to be connected.
    Documented the change in README.Debian.

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.0.4-13) unstable; urgency=low

  * Fixed compilation from source, many thanks to John Hasler
    <john@dhh.gt.org> for the patch (closes: #223147).
  * While I'm at it, also increased the sleep time in the adsl.daemon
    script (closes: #215361).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Dec 2003 21:42:18 +0100

eagle-adsl (1.0.4-12) unstable; urgency=low

  * Fixed startadsl and stopadsl again.  The pid-file created by pppd
    contains more than just its PID.

 -- Roland Mas <lolando@debian.org>  Wed,  1 Oct 2003 23:43:29 +0200

eagle-adsl (1.0.4-11) unstable; urgency=low

  * Fixed bashisms in adsl.daemon and related scripts (closes: #213258).
  * Fixed the way startadsl and stopadsl scripts handle killing of PPP
    daemons (closes: #212748).

 -- Roland Mas <lolando@debian.org>  Mon, 29 Sep 2003 17:42:19 +0200

eagle-adsl (1.0.4-10) unstable; urgency=low

  * Migrated to module-assistant, patch from Eduard Bloch
    <blade@debian.org>.  Updated README.Debian to reflect that change.
    This should fix compilation problems (closes: #211375).
  * Added USB vendor/product IDs for the Sagem Fast 800 PE sub-model
    (closes: #209368).

