=== debian/control ===
Source: eagle-usb
Section: net
Priority: optional
Maintainer: Cyril Martin <mcoolive@free.fr>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 4.1.16), automake, autoconf(>= 2.52), linux-kernel-headers (>= 2.5.999-test7-bk-15), net-tools, docbook-xml, docbook-xsl (>= 1.64), xsltproc

Package: eagle-usb-modules-source
Architecture: all
Depends: debhelper, make
Replaces: eagle-adsl-modules-src
Conflicts: eagle-adsl-modules-src
Recommends: kernel-package, module-assistant
Suggests: eagle-usb-utils (>=1.9.6), eagle-usb-data (>=1.9.6)
Description: EAGLE-USB binary kernel module source for Eagle USB ADSL modems
 This package provides the source for a module needed to use the USB
 ADSL modems featuring the Eagle chipset.  This includes the Sagem
 F@st 800 modem.

Package: eagle-usb-data
Architecture: all
Depends: 
Replaces: eagle-adsl-data
Conflicts: eagle-adsl-data, eagle-usb-utils (<<1.9.6)
Recommends: eagle-usb-modules
Description: Data for Eagle USB ADSL modems
 This package provides the DSP code needed to use the USB ADSL modems
 featuring the Eagle chipset.  This includes the Sagem F@st 800 modem.

Package: eagle-usb-utils
Architecture: any
Depends: net-tools, eagle-usb-data (>=1.9.6), module-init-tools | modutils, ${misc:Depends}, ${shlibs:Depends}
Replaces: eagle-adsl-tools
Conflicts: eagle-adsl-tools
Recommends: pppoe|libatm1|dhcp3-client, hotplug(>= 0.0.20020826-1), ifupdown
Suggests: eagle-usb-modules
Description: Userspace tools for Eagle USB ADSL modems
 This package provides the userspace tools needed to use the USB ADSL
 modems featuring the Eagle chipset.  This includes the Sagem F@st 800
 modem.
 .
 You'll need a kernel module to be able to use these tools.  Such a
 kernel module can be semi-automatically compiled and installed if you
 install the eagle-usb-modules-source package and follow the
 instructions in /usr/share/doc/eagle-usb-utils/README.Debian.
